org.apache.maven.project.inheritance

## Interface ModelInheritanceAssembler

All Known Implementing Classes:
  DefaultModelInheritanceAssembler

    public interface ModelInheritanceAssembler

Version:
  $Id: ModelInheritanceAssembler.java 674878 2008-07-08 16:55:36Z jdcasey $
Author:
  Jason van Zyl

### Field Summary

Fields
`static java.lang.String` `ROLE`

### Method Summary

Methods
`void` `assembleBuildInheritance(Build childBuild, Build parentBuild, boolean handleAsInheritance)`
`void` `assembleModelInheritance(Model child, Model parent)`
`void` `assembleModelInheritance(Model child, Model parent, java.lang.String childPathAdjustment)`
`void` `copyModel(Model dest, Model source)`

### Field Detail

#### ROLE

    static final java.lang.String ROLE

### Method Detail

#### assembleModelInheritance

    void assembleModelInheritance(Model child,
                                Model parent,
                                java.lang.String childPathAdjustment)

#### assembleModelInheritance

    void assembleModelInheritance(Model child,
                                Model parent)

#### assembleBuildInheritance

    void assembleBuildInheritance(Build childBuild,
                                Build parentBuild,
                                boolean handleAsInheritance)

#### copyModel

    void copyModel(Model dest,
                 Model source)